Index: /trunk/SophyaPI/PI/Makefile
===================================================================
--- /trunk/SophyaPI/PI/Makefile	(revision 316)
+++ /trunk/SophyaPI/PI/Makefile	(revision 317)
@@ -1,8 +1,9 @@
 MODULECXXREPNAME := PI
 MODULEDECCXXFLAGS := -msg_quiet
+MODULECPPFLAGS := -DSANS_EVOLPLANCK
 include ../Mgr/Makefile.h
  
 all: $(LIB)libPI.a
-$(LIB)libPI.a : $(OBJ)lut.o $(OBJ)parradapter.o $(OBJ)pi3ddrw.o $(OBJ)piapplgen.o $(OBJ)piapplx.o $(OBJ)pibwdggen.o $(OBJ)pibwdgx.o $(OBJ)picmap.o $(OBJ)picmapgen.o $(OBJ)picmapview.o $(OBJ)picmapx.o $(OBJ)picons.o $(OBJ)picontainergen.o $(OBJ)picontainerx.o $(OBJ)pidrawer.o $(OBJ)pidrawwin.o $(OBJ)pidrwtools.o $(OBJ)pievthandler.o $(OBJ)pifilechogen.o $(OBJ)pifilechox.o $(OBJ)pigraph3d.o $(OBJ)pigraphgen.o $(OBJ)pigraphps.o $(OBJ)pigraphuc.o $(OBJ)pigraphx.o $(OBJ)piimage.o $(OBJ)piimgtools.o $(OBJ)pilistgen.o $(OBJ)pilistx.o $(OBJ)pimenubargen.o $(OBJ)pimenubarx.o $(OBJ)pimenugen.o $(OBJ)pimenux.o $(OBJ)pimsghandler.o $(OBJ)pioptmenugen.o $(OBJ)pioptmenux.o $(OBJ)piperiodx.o $(OBJ)pipixmapgen.o $(OBJ)pipixmapx.o $(OBJ)piscdrawwdg.o $(OBJ)pistdwdggen.o $(OBJ)pistdwdgx.o $(OBJ)pistzwin.o $(OBJ)pisurfdr.o $(OBJ)piwdggen.o $(OBJ)piwdgx.o $(OBJ)piwindowgen.o $(OBJ)piwindowx.o $(OBJ)pixtbase.o $(OBJ)psfile.o
+$(LIB)libPI.a : $(OBJ)lut.o $(OBJ)parradapter.o $(OBJ)pi3ddrw.o $(OBJ)piapplgen.o $(OBJ)piapplx.o $(OBJ)pibwdggen.o $(OBJ)pibwdgx.o $(OBJ)picmap.o $(OBJ)picmapgen.o $(OBJ)picmapview.o $(OBJ)picmapx.o $(OBJ)picons.o $(OBJ)picontainergen.o $(OBJ)picontainerx.o $(OBJ)pidrawer.o $(OBJ)pidrawwin.o $(OBJ)pidrwtools.o $(OBJ)pievthandler.o $(OBJ)pifilechogen.o $(OBJ)pifilechox.o $(OBJ)pifontgen.o $(OBJ)pifontx.o $(OBJ)pigraph3d.o $(OBJ)pigraphgen.o $(OBJ)pigraphps.o $(OBJ)pigraphuc.o $(OBJ)pigraphx.o $(OBJ)piimage.o $(OBJ)piimgtools.o $(OBJ)pilistgen.o $(OBJ)pilistx.o $(OBJ)pimenubargen.o $(OBJ)pimenubarx.o $(OBJ)pimenugen.o $(OBJ)pimenux.o $(OBJ)pimsghandler.o $(OBJ)pioptmenugen.o $(OBJ)pioptmenux.o $(OBJ)piperiodx.o $(OBJ)pipixmapgen.o $(OBJ)pipixmapx.o $(OBJ)piscdrawwdg.o $(OBJ)pistdwdggen.o $(OBJ)pistdwdgx.o $(OBJ)pistzwin.o $(OBJ)pisurfdr.o $(OBJ)piwdggen.o $(OBJ)piwdgx.o $(OBJ)piwindowgen.o $(OBJ)piwindowx.o $(OBJ)pixtbase.o $(OBJ)psfile.o
 	$(AR) $(ARFLAGS)  $@ $? 
 ifeq ($(CXX),cxx)
@@ -11,202 +12,276 @@
  
 clean:
-	rm -f $(OBJ)lut.o $(OBJ)parradapter.o $(OBJ)pi3ddrw.o $(OBJ)piapplgen.o $(OBJ)piapplx.o $(OBJ)pibwdggen.o $(OBJ)pibwdgx.o $(OBJ)picmap.o $(OBJ)picmapgen.o $(OBJ)picmapview.o $(OBJ)picmapx.o $(OBJ)picons.o $(OBJ)picontainergen.o $(OBJ)picontainerx.o $(OBJ)pidrawer.o $(OBJ)pidrawwin.o $(OBJ)pidrwtools.o $(OBJ)pievthandler.o $(OBJ)pifilechogen.o $(OBJ)pifilechox.o $(OBJ)pigraph3d.o $(OBJ)pigraphgen.o $(OBJ)pigraphps.o $(OBJ)pigraphuc.o $(OBJ)pigraphx.o $(OBJ)piimage.o $(OBJ)piimgtools.o $(OBJ)pilistgen.o $(OBJ)pilistx.o $(OBJ)pimenubargen.o $(OBJ)pimenubarx.o $(OBJ)pimenugen.o $(OBJ)pimenux.o $(OBJ)pimsghandler.o $(OBJ)pioptmenugen.o $(OBJ)pioptmenux.o $(OBJ)piperiodx.o $(OBJ)pipixmapgen.o $(OBJ)pipixmapx.o $(OBJ)piscdrawwdg.o $(OBJ)pistdwdggen.o $(OBJ)pistdwdgx.o $(OBJ)pistzwin.o $(OBJ)pisurfdr.o $(OBJ)piwdggen.o $(OBJ)piwdgx.o $(OBJ)piwindowgen.o $(OBJ)piwindowx.o $(OBJ)pixtbase.o $(OBJ)psfile.o
+	rm -f $(OBJ)lut.o $(OBJ)parradapter.o $(OBJ)pi3ddrw.o $(OBJ)piapplgen.o $(OBJ)piapplx.o $(OBJ)pibwdggen.o $(OBJ)pibwdgx.o $(OBJ)picmap.o $(OBJ)picmapgen.o $(OBJ)picmapview.o $(OBJ)picmapx.o $(OBJ)picons.o $(OBJ)picontainergen.o $(OBJ)picontainerx.o $(OBJ)pidrawer.o $(OBJ)pidrawwin.o $(OBJ)pidrwtools.o $(OBJ)pievthandler.o $(OBJ)pifilechogen.o $(OBJ)pifilechox.o $(OBJ)pifontgen.o $(OBJ)pifontx.o $(OBJ)pigraph3d.o $(OBJ)pigraphgen.o $(OBJ)pigraphps.o $(OBJ)pigraphuc.o $(OBJ)pigraphx.o $(OBJ)piimage.o $(OBJ)piimgtools.o $(OBJ)pilistgen.o $(OBJ)pilistx.o $(OBJ)pimenubargen.o $(OBJ)pimenubarx.o $(OBJ)pimenugen.o $(OBJ)pimenux.o $(OBJ)pimsghandler.o $(OBJ)pioptmenugen.o $(OBJ)pioptmenux.o $(OBJ)piperiodx.o $(OBJ)pipixmapgen.o $(OBJ)pipixmapx.o $(OBJ)piscdrawwdg.o $(OBJ)pistdwdggen.o $(OBJ)pistdwdgx.o $(OBJ)pistzwin.o $(OBJ)pisurfdr.o $(OBJ)piwdggen.o $(OBJ)piwdgx.o $(OBJ)piwindowgen.o $(OBJ)piwindowx.o $(OBJ)pixtbase.o $(OBJ)psfile.o
 ifeq ($(CXX),cxx)
 	cd $(REPM); rm -f *.o
 endif 
  
-$(OBJ)lut.o: lut.cc $(INC)defs.h lut.h
+$(OBJ)lut.o: lut.cc /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h lut.h
 $(OBJ)parradapter.o: parradapter.cc parradapter.h \
- $(INC)defs.h $(INC)machine.h \
- lut.h
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h lut.h
 $(OBJ)pi3ddrw.o: pi3ddrw.cc pi3ddrw.h pisysdep.h pidrawer.h pibwdggen.h \
- piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h pigraphuc.h pievthandler.h psfile.h \
- $(INC)defs.h pigraph3d.h pibwdgx.h pigraphps.h \
+ piwdgx.h piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h picmap.h \
+ picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
+ pigraphuc.h pievthandler.h psfile.h pigraph3d.h pibwdgx.h pigraphps.h \
  pidrwtools.h pistdwdgx.h pistdwdggen.h pioptmenux.h pioptmenugen.h \
  pimenux.h pimenugen.h piwindowx.h piwindowgen.h picontainerx.h \
  picontainergen.h piapplx.h piapplgen.h pimenubarx.h pimenubargen.h \
  picons.h
-$(OBJ)piapplgen.o: piapplgen.cc piapplgen.h pimsghandler.h pisysdep.h \
+$(OBJ)piapplgen.o: piapplgen.cc piapplgen.h pimsghandler.h \
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h pisysdep.h picontainerx.h \
+ picontainergen.h piwdgx.h piwdggen.h pimenubarx.h pimenubargen.h \
+ pimenux.h pimenugen.h picons.h pistdwdgx.h pistdwdggen.h pibwdgx.h \
+ pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
+ pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
+$(OBJ)piapplx.o: piapplx.cc piapplx.h piapplgen.h pimsghandler.h \
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h pisysdep.h picontainerx.h \
+ picontainergen.h piwdgx.h piwdggen.h pimenubarx.h pimenubargen.h \
+ pimenux.h pimenugen.h picons.h pistdwdgx.h pistdwdggen.h pibwdgx.h \
+ pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
+ pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
+$(OBJ)pibwdggen.o: pibwdggen.cc pibwdggen.h pisysdep.h piwdgx.h piwdggen.h \
+ pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h picmap.h \
+ picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
+ pigraphuc.h pievthandler.h psfile.h pidrawer.h pigraphps.h \
+ pidrwtools.h pistdwdgx.h pistdwdggen.h pioptmenux.h pioptmenugen.h \
+ pimenux.h pimenugen.h piwindowx.h piwindowgen.h picontainerx.h \
+ picontainergen.h piapplx.h piapplgen.h pimenubarx.h pimenubargen.h \
+ picons.h pibwdgx.h
+$(OBJ)pibwdgx.o: pibwdgx.cc pixtbaseP.h pibwdgx.h pisysdep.h pibwdggen.h \
+ piwdgx.h piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h picmap.h \
+ picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
+ pigraphuc.h pievthandler.h psfile.h pigraphps.h pixtbase.h
+$(OBJ)picmap.o: picmap.cc picmap.h pisysdep.h picmapx.h picmapgen.h
+$(OBJ)picmapgen.o: picmapgen.cc picmapgen.h pisysdep.h picmapx.h picmap.h
+$(OBJ)picmapview.o: picmapview.cc picmapview.h pisysdep.h pibwdgx.h \
+ pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+ pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
+ psfile.h pigraphps.h
+$(OBJ)picmapx.o: picmapx.cc piwdgx.h piwdggen.h pimsghandler.h \
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h picmapx.h picmapgen.h pisysdep.h
+$(OBJ)picons.o: picons.cc pisysdep.h pimenux.h pimenugen.h piwdgx.h \
+ piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h picons.h \
+ pistdwdgx.h pistdwdggen.h picontainerx.h picontainergen.h pibwdgx.h \
+ pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
+ pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
+$(OBJ)picontainergen.o: picontainergen.cc picontainergen.h pisysdep.h \
+ piwdgx.h piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h
+$(OBJ)picontainerx.o: picontainerx.cc picontainerx.h pisysdep.h \
+ picontainergen.h piwdgx.h piwdggen.h pimsghandler.h \
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h
+$(OBJ)pidrawer.o: pidrawer.cc pidrawer.h pibwdggen.h pisysdep.h piwdgx.h \
+ piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h picmap.h \
+ picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
+ pigraphuc.h pievthandler.h psfile.h
+$(OBJ)pidrawwin.o: pidrawwin.cc pidrawwin.h pisysdep.h piwindowx.h \
+ piwindowgen.h picontainerx.h picontainergen.h piwdgx.h piwdggen.h \
+ pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h \
+ piscdrawwdg.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
+ pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraphps.h pistdwdgx.h pistdwdggen.h \
+ pidrawer.h
+$(OBJ)pidrwtools.o: pidrwtools.cc pidrwtools.h pisysdep.h pistdwdgx.h \
+ pistdwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h pioptmenux.h pioptmenugen.h pimenux.h \
+ pimenugen.h piwindowx.h piwindowgen.h picontainerx.h picontainergen.h \
+ piapplx.h piapplgen.h pimenubarx.h pimenubargen.h picons.h pibwdgx.h \
+ pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
+ pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h \
+ piscdrawwdg.h pidrawer.h pi3ddrw.h pigraph3d.h
+$(OBJ)pievthandler.o: pievthandler.cc pievthandler.h pisysdep.h \
+ pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h piwdgx.h \
+ piwdggen.h pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h \
+ pifontx.h pifontgen.h
+$(OBJ)pifilechogen.o: pifilechogen.cc pifilechogen.h pisysdep.h piwdgx.h \
+ piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h
+$(OBJ)pifilechox.o: pifilechox.cc pisysdep.h piapplx.h piapplgen.h \
+ pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h \
  picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimenubarx.h \
  pimenubargen.h pimenux.h pimenugen.h picons.h pistdwdgx.h \
  pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h pigraphuc.h pievthandler.h psfile.h \
- $(INC)defs.h pigraphps.h
-$(OBJ)piapplx.o: piapplx.cc piapplx.h piapplgen.h pimsghandler.h pisysdep.h \
- picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimenubarx.h \
- pimenubargen.h pimenux.h pimenugen.h picons.h pistdwdgx.h \
- pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h pigraphuc.h pievthandler.h psfile.h \
- $(INC)defs.h pigraphps.h
-$(OBJ)pibwdggen.o: pibwdggen.cc pibwdggen.h pisysdep.h piwdgx.h piwdggen.h \
- pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
- pigraphuc.h pievthandler.h psfile.h $(INC)defs.h \
- pidrawer.h pigraphps.h pidrwtools.h pistdwdgx.h pistdwdggen.h \
- pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h piwindowx.h \
- piwindowgen.h picontainerx.h picontainergen.h piapplx.h piapplgen.h \
- pimenubarx.h pimenubargen.h picons.h pibwdgx.h
-$(OBJ)pibwdgx.o: pibwdgx.cc pixtbaseP.h pibwdgx.h pisysdep.h pibwdggen.h \
+ pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraphps.h pifilechox.h pifilechogen.h \
+ piwindowx.h piwindowgen.h
+$(OBJ)pifontgen.o: pifontgen.cc pigraphgen.h pisysdep.h piwdgx.h piwdggen.h \
+ pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h picmap.h \
+ picmapx.h picmapgen.h pifontx.h pifontgen.h
+$(OBJ)pifontx.o: pifontx.cc pisysdep.h pifontx.h pifontgen.h piwdgx.h \
+ piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h
+$(OBJ)pigraph3d.o: pigraph3d.cc pigraph3d.h pisysdep.h pigraphuc.h \
+ pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h \
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h picmap.h picmapx.h picmapgen.h pifontx.h \
+ pifontgen.h
+$(OBJ)pigraphgen.o: pigraphgen.cc pigraphgen.h pisysdep.h piwdgx.h \
+ piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h picmap.h \
+ picmapx.h picmapgen.h pifontx.h pifontgen.h
+$(OBJ)pigraphps.o: pigraphps.cc pigraphps.h pisysdep.h pigraphgen.h piwdgx.h \
+ piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h picmap.h \
+ picmapx.h picmapgen.h pifontx.h pifontgen.h psfile.h
+$(OBJ)pigraphuc.o: pigraphuc.cc pigraphuc.h pisysdep.h pigraphgen.h piwdgx.h \
+ piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h picmap.h \
+ picmapx.h picmapgen.h pifontx.h pifontgen.h
+$(OBJ)pigraphx.o: pigraphx.cc pigraphx.h pisysdep.h pigraphgen.h piwdgx.h \
+ piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h picmap.h \
+ picmapx.h picmapgen.h pifontx.h pifontgen.h
+$(OBJ)piimage.o: piimage.cc piimage.h parradapter.h \
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h lut.h pisysdep.h pidrawer.h pibwdggen.h \
  piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h pigraphuc.h pievthandler.h psfile.h \
- $(INC)defs.h pigraphps.h pixtbase.h
-$(OBJ)picmap.o: picmap.cc picmap.h pisysdep.h picmapx.h picmapgen.h
-$(OBJ)picmapgen.o: picmapgen.cc picmapgen.h pisysdep.h picmapx.h picmap.h
-$(OBJ)picmapview.o: picmapview.cc picmapview.h pisysdep.h pibwdgx.h \
- pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
- picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h pievthandler.h \
- psfile.h $(INC)defs.h pigraphps.h
-$(OBJ)picmapx.o: picmapx.cc piwdgx.h piwdggen.h pimsghandler.h picmapx.h \
- picmapgen.h pisysdep.h
-$(OBJ)picons.o: picons.cc pisysdep.h pimenux.h pimenugen.h piwdgx.h \
- piwdggen.h pimsghandler.h picons.h pistdwdgx.h pistdwdggen.h \
- picontainerx.h picontainergen.h pibwdgx.h pibwdggen.h picmap.h \
- picmapx.h picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h \
- pievthandler.h psfile.h $(INC)defs.h pigraphps.h
-$(OBJ)picontainergen.o: picontainergen.cc picontainergen.h pisysdep.h \
- piwdgx.h piwdggen.h pimsghandler.h
-$(OBJ)picontainerx.o: picontainerx.cc picontainerx.h pisysdep.h \
- picontainergen.h piwdgx.h piwdggen.h pimsghandler.h
-$(OBJ)pidrawer.o: pidrawer.cc pidrawer.h pibwdggen.h pisysdep.h piwdgx.h \
- piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h \
- pigraphgen.h pigraphuc.h pievthandler.h psfile.h \
- $(INC)defs.h
-$(OBJ)pidrawwin.o: pidrawwin.cc pidrawwin.h pisysdep.h piwindowx.h \
- piwindowgen.h picontainerx.h picontainergen.h piwdgx.h piwdggen.h \
- pimsghandler.h piscdrawwdg.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
- picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h pievthandler.h \
- psfile.h $(INC)defs.h pigraphps.h pistdwdgx.h \
- pistdwdggen.h pidrawer.h
-$(OBJ)pidrwtools.o: pidrwtools.cc pidrwtools.h pisysdep.h pistdwdgx.h \
- pistdwdggen.h piwdgx.h piwdggen.h pimsghandler.h pioptmenux.h \
- pioptmenugen.h pimenux.h pimenugen.h piwindowx.h piwindowgen.h \
- picontainerx.h picontainergen.h piapplx.h piapplgen.h pimenubarx.h \
+ pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pipixmapx.h pipixmapgen.h pibwdgx.h \
+ pigraphps.h pistdwdgx.h pistdwdggen.h piwindowx.h piwindowgen.h \
+ picontainerx.h picontainergen.h picmapview.h piimgtools.h \
+ pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h piapplx.h \
+ piapplgen.h pimenubarx.h pimenubargen.h picons.h pidrwtools.h \
+ piscdrawwdg.h
+$(OBJ)piimgtools.o: piimgtools.cc piimgtools.h pisysdep.h pistdwdgx.h \
+ pistdwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h pioptmenux.h pioptmenugen.h pimenux.h \
+ pimenugen.h piwindowx.h piwindowgen.h picontainerx.h picontainergen.h \
+ piapplx.h piapplgen.h pimenubarx.h pimenubargen.h picons.h pibwdgx.h \
+ pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
+ pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h \
+ piimage.h parradapter.h lut.h pidrawer.h pipixmapx.h pipixmapgen.h \
+ picmapview.h
+$(OBJ)pilistgen.o: pilistgen.cc pilistgen.h pisysdep.h piwdgx.h piwdggen.h \
+ pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h
+$(OBJ)pilistx.o: pilistx.cc pilistx.h pilistgen.h pisysdep.h piwdgx.h \
+ piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h \
+ picontainerx.h picontainergen.h
+$(OBJ)pimenubargen.o: pimenubargen.cc pimenubargen.h pisysdep.h pimenux.h \
+ pimenugen.h piwdgx.h piwdggen.h pimsghandler.h \
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h piapplx.h piapplgen.h picontainerx.h \
+ picontainergen.h pimenubarx.h picons.h pistdwdgx.h pistdwdggen.h \
+ pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+ pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
+ psfile.h pigraphps.h
+$(OBJ)pimenubarx.o: pimenubarx.cc pimenubarx.h pimenubargen.h pisysdep.h \
+ pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h \
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h piapplx.h piapplgen.h picontainerx.h \
+ picontainergen.h picons.h pistdwdgx.h pistdwdggen.h pibwdgx.h \
+ pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
+ pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
+$(OBJ)pimenugen.o: pimenugen.cc pimenugen.h pisysdep.h piwdgx.h piwdggen.h \
+ pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h
+$(OBJ)pimenux.o: pimenux.cc pisysdep.h pimenubarx.h pimenubargen.h pimenux.h \
+ pimenugen.h piwdgx.h piwdggen.h pimsghandler.h \
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h
+$(OBJ)pimsghandler.o: pimsghandler.cc pimsghandler.h \
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h
+$(OBJ)pioptmenugen.o: pioptmenugen.cc pioptmenugen.h pisysdep.h pimenux.h \
+ pimenugen.h piwdgx.h piwdggen.h pimsghandler.h \
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h
+$(OBJ)pioptmenux.o: pioptmenux.cc pisysdep.h pioptmenux.h pioptmenugen.h \
+ pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h \
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h pistdwdgx.h pistdwdggen.h piapplx.h \
+ piapplgen.h picontainerx.h picontainergen.h pimenubarx.h \
  pimenubargen.h picons.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
- picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h pievthandler.h \
- psfile.h $(INC)defs.h pigraphps.h piscdrawwdg.h \
- pidrawer.h pi3ddrw.h pigraph3d.h
-$(OBJ)pievthandler.o: pievthandler.cc pievthandler.h pisysdep.h \
- pimsghandler.h piwdgx.h piwdggen.h pigraphx.h pigraphgen.h picmap.h \
- picmapx.h picmapgen.h
-$(OBJ)pifilechogen.o: pifilechogen.cc pifilechogen.h pisysdep.h piwdgx.h \
- piwdggen.h pimsghandler.h
-$(OBJ)pifilechox.o: pifilechox.cc pisysdep.h piapplx.h piapplgen.h \
- pimsghandler.h picontainerx.h picontainergen.h piwdgx.h piwdggen.h \
- pimenubarx.h pimenubargen.h pimenux.h pimenugen.h picons.h \
- pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
- picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h pievthandler.h \
- psfile.h $(INC)defs.h pigraphps.h pifilechox.h \
- pifilechogen.h piwindowx.h piwindowgen.h
-$(OBJ)pigraph3d.o: pigraph3d.cc pigraph3d.h pisysdep.h pigraphuc.h \
- pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
- picmapgen.h
-$(OBJ)pigraphgen.o: pigraphgen.cc pigraphgen.h pisysdep.h piwdgx.h \
- piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h
-$(OBJ)pigraphps.o: pigraphps.cc pigraphps.h pisysdep.h pigraphgen.h piwdgx.h \
- piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h psfile.h \
- $(INC)defs.h
-$(OBJ)pigraphuc.o: pigraphuc.cc pigraphuc.h pisysdep.h pigraphgen.h piwdgx.h \
- piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h
-$(OBJ)pigraphx.o: pigraphx.cc pigraphx.h pisysdep.h pigraphgen.h piwdgx.h \
- piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h
-$(OBJ)piimage.o: piimage.cc piimage.h parradapter.h \
- $(INC)defs.h $(INC)machine.h \
- lut.h pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h \
- pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
- pigraphuc.h pievthandler.h psfile.h pipixmapx.h pipixmapgen.h \
- pibwdgx.h pigraphps.h pistdwdgx.h pistdwdggen.h piwindowx.h \
- piwindowgen.h picontainerx.h picontainergen.h picmapview.h \
- piimgtools.h pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h \
- piapplx.h piapplgen.h pimenubarx.h pimenubargen.h picons.h \
- pidrwtools.h
-$(OBJ)piimgtools.o: piimgtools.cc piimgtools.h pisysdep.h pistdwdgx.h \
- pistdwdggen.h piwdgx.h piwdggen.h pimsghandler.h pioptmenux.h \
- pioptmenugen.h pimenux.h pimenugen.h piwindowx.h piwindowgen.h \
- picontainerx.h picontainergen.h piapplx.h piapplgen.h pimenubarx.h \
- pimenubargen.h picons.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
- picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h pievthandler.h \
- psfile.h $(INC)defs.h pigraphps.h piimage.h \
- parradapter.h $(INC)machine.h lut.h pidrawer.h \
- pipixmapx.h pipixmapgen.h picmapview.h
-$(OBJ)pilistgen.o: pilistgen.cc pilistgen.h pisysdep.h piwdgx.h piwdggen.h \
- pimsghandler.h
-$(OBJ)pilistx.o: pilistx.cc pilistx.h pilistgen.h pisysdep.h piwdgx.h \
- piwdggen.h pimsghandler.h picontainerx.h picontainergen.h
-$(OBJ)pimenubargen.o: pimenubargen.cc pimenubargen.h pisysdep.h pimenux.h \
- pimenugen.h piwdgx.h piwdggen.h pimsghandler.h piapplx.h piapplgen.h \
- picontainerx.h picontainergen.h pimenubarx.h picons.h pistdwdgx.h \
- pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h pigraphuc.h pievthandler.h psfile.h \
- $(INC)defs.h pigraphps.h
-$(OBJ)pimenubarx.o: pimenubarx.cc pimenubarx.h pimenubargen.h pisysdep.h \
- pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h piapplx.h \
- piapplgen.h picontainerx.h picontainergen.h picons.h pistdwdgx.h \
- pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h pigraphuc.h pievthandler.h psfile.h \
- $(INC)defs.h pigraphps.h
-$(OBJ)pimenugen.o: pimenugen.cc pimenugen.h pisysdep.h piwdgx.h piwdggen.h \
- pimsghandler.h
-$(OBJ)pimenux.o: pimenux.cc pisysdep.h pimenubarx.h pimenubargen.h pimenux.h \
- pimenugen.h piwdgx.h piwdggen.h pimsghandler.h
-$(OBJ)pimsghandler.o: pimsghandler.cc pimsghandler.h
-$(OBJ)pioptmenugen.o: pioptmenugen.cc pioptmenugen.h pisysdep.h pimenux.h \
- pimenugen.h piwdgx.h piwdggen.h pimsghandler.h
-$(OBJ)pioptmenux.o: pioptmenux.cc pisysdep.h pioptmenux.h pioptmenugen.h \
- pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h pistdwdgx.h \
- pistdwdggen.h piapplx.h piapplgen.h picontainerx.h picontainergen.h \
- pimenubarx.h pimenubargen.h picons.h pibwdgx.h pibwdggen.h picmap.h \
- picmapx.h picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h \
- pievthandler.h psfile.h $(INC)defs.h pigraphps.h
+ picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraphps.h
 $(OBJ)piperiodx.o: piperiodx.cc piwdgx.h piwdggen.h pimsghandler.h \
- piperiodx.h $(INC)periodic.h \
- $(INC)defs.h
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h piperiodx.h \
+ /home/ansari/Include/periodic.h
 $(OBJ)pipixmapgen.o: pipixmapgen.cc pipixmapgen.h pisysdep.h pibwdgx.h \
- pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
- picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h pievthandler.h \
- psfile.h $(INC)defs.h pigraphps.h
+ pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+ pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
+ psfile.h pigraphps.h
 $(OBJ)pipixmapx.o: pipixmapx.cc pipixmapx.h pipixmapgen.h pisysdep.h \
- pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
- picmapx.h picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h \
- pievthandler.h psfile.h $(INC)defs.h pigraphps.h
+ pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+ pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
+ psfile.h pigraphps.h
 $(OBJ)piscdrawwdg.o: piscdrawwdg.cc piscdrawwdg.h pisysdep.h pibwdgx.h \
- pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
- picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h pievthandler.h \
- psfile.h $(INC)defs.h pigraphps.h pistdwdgx.h \
- pistdwdggen.h piwindowx.h piwindowgen.h picontainerx.h \
- picontainergen.h pidrawer.h pidrwtools.h pioptmenux.h pioptmenugen.h \
- pimenux.h pimenugen.h piapplx.h piapplgen.h pimenubarx.h \
- pimenubargen.h picons.h parradapter.h \
- $(INC)machine.h lut.h
+ pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+ pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
+ psfile.h pigraphps.h pistdwdgx.h pistdwdggen.h piwindowx.h \
+ piwindowgen.h picontainerx.h picontainergen.h pidrawer.h pidrwtools.h \
+ pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h piapplx.h \
+ piapplgen.h pimenubarx.h pimenubargen.h picons.h parradapter.h lut.h
 $(OBJ)pistdwdggen.o: pistdwdggen.cc pistdwdggen.h pisysdep.h piwdgx.h \
- piwdggen.h pimsghandler.h
+ piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h
 $(OBJ)pistdwdgx.o: pistdwdgx.cc pisysdep.h pistdwdgx.h pistdwdggen.h \
- piwdgx.h piwdggen.h pimsghandler.h
+ piwdgx.h piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h
 $(OBJ)pistzwin.o: pistzwin.cc pistzwin.h pisysdep.h piwindowx.h \
  piwindowgen.h picontainerx.h picontainergen.h piwdgx.h piwdggen.h \
- pimsghandler.h piperiodx.h $(INC)periodic.h \
- $(INC)defs.h psfile.h pigraphgen.h picmap.h \
- picmapx.h picmapgen.h
+ pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h \
+ piperiodx.h /home/ansari/Include/periodic.h psfile.h pigraphgen.h \
+ picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h
 $(OBJ)pisurfdr.o: pisurfdr.cc pisurfdr.h parradapter.h \
- $(INC)defs.h $(INC)machine.h \
- lut.h pi3ddrw.h pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h \
- pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
- pigraphuc.h pievthandler.h psfile.h pigraph3d.h pibwdgx.h pigraphps.h
-$(OBJ)piwdggen.o: piwdggen.cc piwdggen.h pimsghandler.h picontainergen.h \
- pisysdep.h piwdgx.h pievthandler.h pigraphx.h pigraphgen.h picmap.h \
- picmapx.h picmapgen.h psfile.h $(INC)defs.h
-$(OBJ)piwdgx.o: piwdgx.cc piwdgx.h piwdggen.h pimsghandler.h picontainerx.h \
- pisysdep.h picontainergen.h pievthandler.h pigraphx.h pigraphgen.h \
- picmap.h picmapx.h picmapgen.h
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h lut.h pi3ddrw.h pisysdep.h pidrawer.h \
+ pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
+ picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraph3d.h pibwdgx.h pigraphps.h
+$(OBJ)piwdggen.o: piwdggen.cc piwdggen.h pimsghandler.h \
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h picontainergen.h pisysdep.h piwdgx.h \
+ pievthandler.h pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h \
+ pifontx.h pifontgen.h psfile.h
+$(OBJ)piwdgx.o: piwdgx.cc piwdgx.h piwdggen.h pimsghandler.h \
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h picontainerx.h pisysdep.h \
+ picontainergen.h pievthandler.h pigraphx.h pigraphgen.h picmap.h \
+ picmapx.h picmapgen.h pifontx.h pifontgen.h
 $(OBJ)piwindowgen.o: piwindowgen.cc piwindowgen.h pisysdep.h picontainerx.h \
- picontainergen.h piwdgx.h piwdggen.h pimsghandler.h psfile.h \
- $(INC)defs.h pigraphgen.h picmap.h picmapx.h \
- picmapgen.h
+ picontainergen.h piwdgx.h piwdggen.h pimsghandler.h \
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h psfile.h pigraphgen.h picmap.h picmapx.h \
+ picmapgen.h pifontx.h pifontgen.h
 $(OBJ)piwindowx.o: piwindowx.cc piwindowx.h piwindowgen.h pisysdep.h \
- picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimsghandler.h
+ picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimsghandler.h \
+ /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
+ /home/ansari/Include/defs.h
 $(OBJ)pixtbase.o: pixtbase.cc pixtbaseP.h pibwdgx.h pisysdep.h pibwdggen.h \
- piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h pigraphuc.h pievthandler.h psfile.h \
- $(INC)defs.h pigraphps.h pixtbase.h
-$(OBJ)psfile.o: psfile.cc psfile.h $(INC)defs.h \
- pisysdep.h pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
- picmapx.h picmapgen.h
+ piwdgx.h piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h picmap.h \
+ picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
+ pigraphuc.h pievthandler.h psfile.h pigraphps.h pixtbase.h
+$(OBJ)psfile.o: psfile.cc psfile.h /home/ansari/Include/machdefs.h \
+ /home/ansari/Include/machine.h /home/ansari/Include/defs.h pisysdep.h \
+ pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
+ picmapgen.h pifontx.h pifontgen.h
Index: /trunk/SophyaPI/PI/pifontgen.cc
===================================================================
--- /trunk/SophyaPI/PI/pifontgen.cc	(revision 317)
+++ /trunk/SophyaPI/PI/pifontgen.cc	(revision 317)
@@ -0,0 +1,85 @@
+// Module PI : Peida Interactive     PIFontGen 
+// LAL (Orsay) / IN2P3-CNRS          R. Ansari  99
+
+// Classe generique de gestion de fonte - (Ne peut etre instancie)
+
+#include "pigraphgen.h"
+
+
+//++
+// Class	PIFont
+// Lib		PI
+// include	pifontgen.h
+//
+//	Classe de base fournissant les services de gestion de fontes
+//	La classe virtuelle pure PIFontGen définit l'interface. Les
+//	objets instanciés doivent être de la classe "PIFont"
+//	("PIFontX", "PIFontMac", ...)
+//
+//	Des constantes de type enum sont définies pour l'identification
+//	des types de fontes *PIFontName* , de l'attribut *PIFontAtt* 
+//	et de la taille *PIFontSize*.
+//	* PIFontName :
+//|	PI_DefaultFont , PI_CourierFont , PI_SymbolFont
+//	* PIFontSize :
+//|	PI_SmallSizeFont , PI_NormalSizeFont , PI_BigSizeFont, PI_HugeSizeFont
+//	* PIFontAtt :	
+//|	PI_RomanFont , PI_BoldFont , PI_ItalicFont 
+//--
+
+//++
+// Titre	Constructeurs
+//--
+//++
+// PIFont(PIFontName fn = PI_DefaultFont)
+//	Constructeur  pour fonte "fn". Constructeur par défaut.
+// PIFont(int npt, PIFontName fn = PI_DefaultFont, PIFontAtt fa = PI_RomanFont)
+//	Constructeur avec spécification de taille en points (pixels).
+// PIFont(PIFont const & fnt)
+//	Constructeur de copie
+// PIFont & operator = (PIFont const & fnt) 
+//	Opérateur égal.
+// bool operator == (PIFont const & fnt) 
+//	Opérateur test d'égalité.
+//--
+
+/* --Methode-- */
+PIFontGen::PIFontGen(PIFontName fn)
+{
+}
+
+/* --Methode-- */
+PIFontGen::PIFontGen(int npt, PIFontName fn, PIFontAtt fa)
+{
+}
+
+/* --Methode-- */
+PIFontGen::~PIFontGen()
+{
+}
+
+//--
+// Titre	Méthodes
+//++
+
+//++
+// void  SetFont(PIFontName fn)
+//	Changement de fonte.
+// void  SetFontAtt(PIFontAtt fa)
+//	Changement d'attribut de fonte
+// void  SetFontSz(PIFontSize fs)
+//	Changement de taille de fonte
+// void  SetFontSzPt(int npt)
+//	Changement de taille de fonte - Spécification de taille en points (pixels)
+// PIFontName  GetFontName()
+//	Retourne le type (nom) de fonte
+// PIFontAtt  GetFontAtt()
+//	Retourne l'attribut de fonte
+// int  GetFontSize()
+//	Retourne la taille de fonte en points (pixels)
+// int GetFontHeight(int& asc, int& desc) 
+//	Renvoie la hauteur des caractères, ainsi que la taille au dessus
+//	et en-dessous de la ligne de base ("asc , desc").
+// int GetStringWidth(char const* s)
+//	Renvoie la largeur occupé par le texte "char * s" en points/pixels
+//--
Index: /trunk/SophyaPI/PI/pifontgen.h
===================================================================
--- /trunk/SophyaPI/PI/pifontgen.h	(revision 317)
+++ /trunk/SophyaPI/PI/pifontgen.h	(revision 317)
@@ -0,0 +1,42 @@
+// This may look like C code, but it is really -*- C++ -*-
+// Module PI : Peida Interactive     PIFont 
+// LAL (Orsay) / IN2P3-CNRS              R. Ansari  99
+
+#ifndef PIFONTGEN_H_SEEN
+#define PIFONTGEN_H_SEEN
+
+#include "pisysdep.h"
+
+enum PIFontName { PI_DefaultFont = 0, PI_CourierFont = 1, PI_SymbolFont = 2};
+
+enum PIFontSize { PI_NotDefFontSize = -1, 
+                  PI_SmallSizeFont = 1, PI_NormalSizeFont = 2, 
+                  PI_BigSizeFont = 3, PI_HugeSizeFont = 4 };
+
+enum PIFontAtt { PI_NotDefFontAtt = -1,
+                 PI_RomanFont = 1, PI_BoldFont = 2, PI_ItalicFont = 4 };
+
+class PIFontGen
+{
+public:
+		PIFontGen(PIFontName fn = PI_DefaultFont);
+		PIFontGen(int npt, PIFontName fn = PI_DefaultFont, 
+                          PIFontAtt fa = PI_RomanFont);
+// PIFont doit avoir un constructeur de copie, et l'operateur egal de defini
+// ainsi que l'operateur test d'egalite
+  virtual	~PIFontGen();
+
+  virtual void		SetFont(PIFontName fn)		= 0;
+  virtual void		SetFontAtt(PIFontAtt fa)	= 0;
+  virtual void		SetFontSz(PIFontSize fs)	= 0;
+  virtual void		SetFontSzPt(int npt)		= 0;
+
+  virtual PIFontName    GetFontName()			= 0;
+  virtual PIFontAtt     GetFontAtt()			= 0;
+  virtual int		GetFontSize()			= 0;
+
+  virtual int		GetFontHeight(int& asc, int& desc)	= 0;
+  virtual int		GetStringWidth(char const* s)		= 0;
+};
+
+#endif      // PIFONTGEN_H_SEEN
Index: /trunk/SophyaPI/PI/pifontx.cc
===================================================================
--- /trunk/SophyaPI/PI/pifontx.cc	(revision 317)
+++ /trunk/SophyaPI/PI/pifontx.cc	(revision 317)
@@ -0,0 +1,355 @@
+// Module PI : Peida Interactive     PIFontX
+// Gestion de fontes - Implementation X11    
+// LAL (Orsay) / IN2P3-CNRS     R. Ansari  97-99
+
+#include <stdio.h>
+
+#include <X11/Intrinsic.h>
+#include <X11/StringDefs.h>
+
+#include "pisysdep.h"
+#include "pifontx.h"
+#include PIWDG_H
+
+
+/* --Methode-- */
+PIFontX::PIFontX(PIFontName fn)
+  : PIFontGen(fn)
+{
+GlInit();
+SelectFont(fn, PI_RomanFont, PI_NormalSizeFont);
+}
+
+/* --Methode-- */
+PIFontX::PIFontX(int npt, PIFontName fn, PIFontAtt fa)
+  : PIFontGen(npt, fn, fa)
+{
+GlInit();
+SelectFontPt(fn, fa, npt);
+}
+
+/* --Methode-- */
+PIFontX::PIFontX(PIFontX const & fnt)
+  : PIFontGen(fnt.mFName)
+{
+GlInit();
+SelectFontPt(fnt.mFName, fnt.mFAtt, fnt.mFSize);
+}
+
+/* --Methode-- */
+PIFontX::~PIFontX()
+{
+}
+
+/* --Methode-- */
+PIFontX & PIFontX::operator = (PIFontX const & fnt)
+{
+SelectFontPt(fnt.mFName, fnt.mFAtt, fnt.mFSize);
+return(*this);
+}
+
+/* --Methode-- */
+bool PIFontX::operator == (PIFontX const & fnt)
+{
+if ((fnt.mFName == mFName) && (fnt.mFAtt == mFAtt) && (fnt.mFSize == mFSize)) 
+  return(true);
+else return(false);
+}
+
+/* --Methode-- */
+void PIFontX::SetFont(PIFontName fn)
+{
+SelectFontPt(fn, mFAtt, mFSize);
+}
+
+/* --Methode-- */
+void PIFontX::SetFontAtt(PIFontAtt fa)
+{
+SelectFontPt(mFName, fa, mFSize);
+}
+
+/* --Methode-- */
+void PIFontX::SetFontSz(PIFontSize fs)
+{
+SelectFont(mFName, mFAtt, fs);
+}
+
+/* --Methode-- */
+void PIFontX::SetFontSzPt(int npt)
+{
+SelectFontPt(mFName, mFAtt, npt);
+}
+
+/* --Methode-- */
+PIFontName PIFontX::GetFontName()
+{
+return(mFName);
+}
+
+/* --Methode-- */
+PIFontAtt PIFontX::GetFontAtt()
+{
+return(mFAtt);
+}
+
+/* --Methode-- */
+int PIFontX::GetFontSize()
+{
+return(mFSize);
+}
+
+/* --Methode-- */
+int PIFontX::GetFontHeight(int& asc, int& desc)
+{
+char a[2];
+XCharStruct  ovr;
+int hd, fa, fd;
+XTextExtents(mFSt, a, 0, &hd, &fa, &fd, &ovr);
+asc = fa; desc = fd; 
+return(fa+fd-1);
+}
+
+/* --Methode-- */
+int PIFontX::GetStringWidth(char const* s)
+{
+return(XTextWidth(mFSt, s, strlen(s)));
+}
+
+
+#define NMAXFONTSZ    7
+#define NMAXFONTATT   3
+#define NMAXFONTTYP   3
+
+/*  Variables globales pour la gestion des fontes  */
+static XFontStruct * fntst[NMAXFONTSZ][NMAXFONTATT][NMAXFONTTYP];
+static int fntsz[NMAXFONTSZ] = {8,10,12,14,18,24,36};
+static int SmallFontIndex = 1; 
+static int NormalFontIndex = 3;
+static int BigFontIndex = 5;
+static int HugeFontIndex = 6;
+static  PIFontAtt fntatt[NMAXFONTATT] = { PI_RomanFont, PI_BoldFont, PI_ItalicFont };
+static  PIFontName fntname[NMAXFONTTYP] = { PI_DefaultFont, PI_CourierFont, PI_SymbolFont};  
+static XFontStruct * defnt = NULL;
+
+/* --Methode-- */
+void PIFontX::SelectFont(PIFontName fn, PIFontAtt fa, PIFontSize fs)
+{
+int isz;
+switch (fs) {
+  case PI_SmallSizeFont:
+    isz = fntsz[SmallFontIndex];
+    break;
+  case PI_NormalSizeFont:
+    isz = fntsz[NormalFontIndex];
+    break;
+  case PI_BigSizeFont:
+    isz = fntsz[BigFontIndex];
+    break;
+  case PI_HugeSizeFont:
+    isz = fntsz[HugeFontIndex];
+    break;
+  default:
+    isz = fntsz[NormalFontIndex];
+    break;
+  }
+
+SelectFontPt(fn, fa, isz);
+return;
+}
+
+/* --Methode-- */
+void PIFontX::SelectFontPt(PIFontName fn, PIFontAtt fa, int npt)
+{
+if ( (fn == mFName) && (fa == mFAtt) && (npt == mFSize) )   return;
+int dsz,i,isel, j, k;
+isel = 0;
+dsz = 9999;
+for(i=0; i<NMAXFONTSZ; i++)
+  {
+  j = npt - fntsz[i];   if (j < 0)  j = -j;
+  if (j < dsz)  {  isel = i; dsz = j; }
+  }
+i = isel;
+j = 0;
+switch (fa) {
+  case PI_RomanFont :
+    j = 0;
+    break;
+  case PI_BoldFont :
+    j = 1;
+    break;
+  case PI_ItalicFont :
+    j = 2;
+    break;
+  default :
+    j = 0;
+    break;
+  }
+
+k = 0;
+switch (fn)
+ {
+  case PI_DefaultFont :
+    k = 0;
+    break;
+  case PI_CourierFont :
+    k = 1;
+    break;
+  case PI_SymbolFont :
+    k = 2;
+    break;
+  default :
+    k = 0;
+    break;
+  }
+LoadFontSt(i, j, k);
+return;
+}
+
+
+// Le bazar pour recuperer des resources de .Xdefault et autres 
+typedef struct 
+  {
+  String fntFam[3];
+  } myAppData;
+static myAppData  apd;
+
+static XtResource resources[] = {
+  { "fontFamilyName", "FontFamilyName", XtRString, sizeof(String),
+    /*XtOffset(apd, fntFam[0])*/ 0, XtRString, "*-courier" } ,
+  { "courierfontFamilyName", "CourierfontFamilyName", XtRString, sizeof(String),
+    sizeof(String) , XtRString, "*-courier" } ,
+  { "symbolfontFamilyName", "SymbolfontFamilyName", XtRString, sizeof(String),
+    2*sizeof(String) , XtRString, "*-symbol" }
+};
+ 
+static char * fnbi_b[4] = { "medium-r-normal", "bold-r-normal", 
+                          "medium-o-normal", "medium-i-normal" };
+
+static char * fnbi[3];
+
+/* --Methode-- */
+void PIFontX::LoadFontSt(int isz, int jat, int kfn)
+{
+
+if (!fntst[isz][jat][kfn])  // Il faut charger la fonte
+  {
+  char buff[256];
+  int count,k;
+  Display * mdsp = PIXDisplay();
+  char **list;
+
+  for (k=0; k<5; k++)    // Recherche de la fonte pour tailles croissantes
+    {
+    sprintf(buff,"-%s-%s-*-%d-*-*-*-*-*-*-*", apd.fntFam[kfn], fnbi[jat], fntsz[isz]+k);
+    list = XListFonts(mdsp, buff, 10, &count);
+    XFreeFontNames(list);
+    if (count > 0)  break;
+    }
+  if (count > 0) 
+    fntst[isz][jat][kfn] = XLoadQueryFont(mdsp, buff);
+  else
+    { printf("PIFontX::LoadFontSt/ Pb font %s - Using default \n", buff);    
+    fntst[isz][jat][kfn] = defnt; }
+  }
+
+mFAtt = fntatt[jat];
+mFSize = fntsz[isz];
+mFName = fntname[kfn];
+mFSt = fntst[isz][jat][kfn];
+return;
+}
+
+
+static bool fgfntinitdone = false ;   // Flag init done
+/* --Methode-- */
+void PIFontX::GlInit()
+{
+if (fgfntinitdone) return;
+fgfntinitdone = true;
+
+Display * mdsp = PIXDisplay();
+
+char buff[256];
+int i,j,k,count;
+char **list;
+
+
+XtGetApplicationResources(PIXtTopWdg(), &apd, resources, 
+                          XtNumber(resources), NULL, 0);
+sprintf(buff,"-%s-*-*-*-*-*-*-*-*-*-*-*-*", apd.fntFam[0]);
+list = XListFonts(mdsp, buff, 15, &count);
+XFreeFontNames(list);
+if (count < 5)
+  { 
+  printf("PIFontX::Init %d fonts found for %s , switching to courier\n",
+         count, apd.fntFam[0]);
+  apd.fntFam[0] = "*-courier";
+  }
+sprintf(buff,"-%s-%s-*-*-*-*-*-*-*-*-*", apd.fntFam[0], fnbi_b[0]);
+list = XListFonts(mdsp, buff, 10, &count);
+XFreeFontNames(list);
+if (count < 2) fnbi[0] = "*-*-*";
+else  fnbi[0] = fnbi_b[0];
+sprintf(buff,"-%s-%s-*-*-*-*-*-*-*-*-*", apd.fntFam[0], fnbi_b[1]);
+list = XListFonts(mdsp, buff, 10, &count);
+XFreeFontNames(list);
+if (count < 2) fnbi[1] = "*-*-*";
+else  fnbi[1] = fnbi_b[1];
+sprintf(buff,"-%s-%s-*-*-*-*-*-*-*-*-*", apd.fntFam[0], fnbi_b[2]);
+list = XListFonts(mdsp, buff, 10, &count);
+XFreeFontNames(list);
+fnbi[2] = fnbi_b[2];
+if (count < 2) 
+  {
+  sprintf(buff,"-%s-%s-*-*-*-*-*-*-*-*-*", apd.fntFam[0], fnbi_b[3]);
+  list = XListFonts(mdsp, buff, 10, &count);
+  XFreeFontNames(list);
+  fnbi[2] = fnbi_b[3];
+  }
+if (count < 2) fnbi[2] = "*-*-*";
+
+sprintf(buff,"-*-fixed-*-*-*-*-12-*-*-*-*-*-*-*");
+list = XListFonts(mdsp, buff, 10, &count);
+XFreeFontNames(list);
+if (count < 1) 
+  {  
+  sprintf(buff,"fixed");
+  list = XListFonts(mdsp, buff, 10, &count);
+  XFreeFontNames(list);
+  }
+if (count < 1) 
+  {  
+  strcpy(buff,"");
+  list = XListFonts(mdsp, buff, 10, &count);
+  XFreeFontNames(list);
+  printf("PIFontX::Init/ Erreur, no font found ... \n");
+  defnt = NULL;
+  }
+else defnt = XLoadQueryFont(mdsp, buff);
+
+for (i=0; i<NMAXFONTSZ; i++)
+  for (j=0; j<NMAXFONTATT; j++)  
+    for (k=0; k<NMAXFONTTYP; k++)  fntst[i][j][k] = NULL;
+
+// Choix des trois tailles de fontes standard en fonction de 
+// la taille de fonte par defaut des composantes standard
+int szx, szy, szf;
+PIXtAppCtx(szx, szy, szf);
+int kkk, kkj, kksel, kkdsz = 9999;  
+kksel = NMAXFONTSZ/2;
+for(kkk=NMAXFONTSZ-1; kkk>=0; kkk--) {
+  kkj = szf - fntsz[kkk];   if (kkj < 0)  kkj = -kkj;
+  if (kkj < kkdsz)  {  kksel = kkk;  kkdsz = kkj; }
+  }
+if (kksel == NMAXFONTSZ-1)  kksel = NMAXFONTSZ-2;
+NormalFontIndex = kksel;
+SmallFontIndex = (kksel > 1) ? kksel-2 : 0 ;
+BigFontIndex =  (kksel < NMAXFONTSZ-2) ? kksel+2 :  NMAXFONTSZ-1;
+HugeFontIndex = NMAXFONTSZ-1;
+
+// printf("PIFontX::Init()-DBG- FontIndex= %d %d %d (%d) \n", 
+//       SmallFontIndex, NormalFontIndex, BigFontIndex, szf);
+
+return;
+}
Index: /trunk/SophyaPI/PI/pifontx.h
===================================================================
--- /trunk/SophyaPI/PI/pifontx.h	(revision 317)
+++ /trunk/SophyaPI/PI/pifontx.h	(revision 317)
@@ -0,0 +1,54 @@
+// This may look like C code, but it is really -*- C++ -*-
+// Module PI : Peida Interactive     PIFontX
+// LAL (Orsay) / IN2P3-CNRS          R. Ansari  99
+
+
+#ifndef PIFONTX_H_SEEN
+#define PIFONTX_H_SEEN
+
+#include "pisysdep.h"
+#include "pifontgen.h"
+
+
+class PIFontX : public PIFontGen 
+{
+public :
+		PIFontX(PIFontName fn = PI_DefaultFont);
+		PIFontX(int npt, PIFontName fn = PI_DefaultFont, 
+                        PIFontAtt fa = PI_RomanFont);
+		PIFontX(PIFontX const & fnt);
+  virtual	~PIFontX();
+
+  virtual PIFontX & operator = (PIFontX const & fnt);
+  virtual bool operator == (PIFontX const & fnt);
+
+  virtual void		SetFont(PIFontName fn);
+  virtual void		SetFontAtt(PIFontAtt fa);
+  virtual void		SetFontSz(PIFontSize fs);
+  virtual void		SetFontSzPt(int npt);
+
+  virtual PIFontName    GetFontName();
+  virtual PIFontAtt     GetFontAtt();
+  virtual int		GetFontSize();
+
+  virtual int		GetFontHeight(int& asc, int& desc);
+  virtual int		GetStringWidth(char const* s);
+
+// En public pour PIGraphicX
+  inline Font		GetXFontId() { return(mFSt->fid); }
+
+protected:
+  void           SelectFont(PIFontName fn, PIFontAtt fa, PIFontSize fs);
+  void           SelectFontPt(PIFontName fn, PIFontAtt fa, int npt);
+  void           LoadFontSt(int isz, int jat, int kfn);
+  static void    GlInit();
+
+  PIFontName mFName;
+  PIFontAtt mFAtt;
+  int mFSize;
+  XFontStruct *mFSt;
+};
+
+typedef PIFontX PIFont;
+
+#endif      // PIFONTX_H_SEEN
